#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("sotnn.inp");
	int N;
	f1>>N;
	f1.close();
	int sa;float tbca,tbcb,tbc;long int sb;
	sa=sb=0;
	int dem1,dem=0;
	for(int i=1;i<=N;i++)
	{
		if(i%2==0)
		{
			sa=sa+i;
			int dem=dem+1;
			
		}
		else
		{
			sb=sb+i;
			int dem1=dem1+1;
		}
	}
	tbca=sa/float(dem);
	tbcb=sb/float(dem1);
	tbc=(sa+sb)/float(dem1+dem);
	ofstream f2("sotnn.out");
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<sa<<" "<<tbca<<sb<<" "<<tbcb<<sa+sb<<" "<<tbc<<endl;
	f2.close();
}
